%define lib_major 1
%define lib_name %mklibname evdev %{lib_major}
%define develname %mklibname -d evdev

Name:		libevdev
Version:	0.4
Release:	%mkrel 4
Summary:	Kernel Evdev Device Wrapper Library
Group:		System/Libraries
License:	MIT
URL:		http://www.freedesktop.org/wiki/Software/libevdev
Source0:	http://www.freedesktop.org/software/%{name}/%{name}-%{version}.tar.xz

%description
%{name} is a library to wrap kernel evdev devices and provide a proper API
to interact with those devices.

%package -n %{lib_name}
Summary:	Kernel Evdev Device Wrapper Library
Group:		System/Libraries

%description -n %{lib_name}
%{name} is a library to wrap kernel evdev devices and provide a proper API
to interact with those devices.

%package -n %develname
Summary:	Kernel Evdev Device Wrapper Library Development Package
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}

%description -n %develname
Kernel Evdev Device Wrapper Library Development Package.

%prep
%setup -q

%build
autoreconf --force -v --install || exit 1
%configure2_5x \
	--disable-static \
	--disable-silent-rules \
	--disable-gcov
%make

%install
%makeinstall_std

# We intentionally don't ship *.la files
find %{buildroot} -name "*.la" -delete

%files -n %{lib_name}
%{_libdir}/libevdev.so.%{lib_major}*

%files -n %{develname}
%doc COPYING
%{_includedir}/libevdev-1.0/
%{_libdir}/libevdev.so
%{_libdir}/pkgconfig/libevdev.pc



%changelog
* Fri Nov 08 2013 wally <wally> 0.4-4.mga4
+ Revision: 549996
- disable gcov to suppress errors when closing apps using libevdev (rhbz#1012180)
- disable unittests
- drop BRs which are pulled anyways
- clean .spec

* Sat Oct 19 2013 umeabot <umeabot> 0.4-3.mga4
+ Revision: 535203
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 ovitters <ovitters> 0.4-2.mga4
+ Revision: 481623
- fix requires

* Fri Sep 20 2013 ovitters <ovitters> 0.4-1.mga4
+ Revision: 481615
- imported package libevdev

